.video-fixedheight {height:500px; position:relative; background:#000}
.video-fixedheight-wrap {position:absolute; top:0%; left:0%; height:100%; width:100%; overflow:hidden}
.video-fixedheight-wrap {background:transparent no-repeat center center;-webkit-background-size:cover;-moz-background-size:cover;-o-background-size:cover;background-size:cover;}
.video-fixedheight-wrap video {position:absolute;min-height:100%; min-width:100%; z-index:0; } /*position:absolute; width:100%;*/
.video-fixedheight-wrap video {top: 50%; transform: translateY(-50%)} /* vertical-align to middle */

.video-fixedheight-overlay {height:100%; position:absolute; top:0; left:0; width:100%; z-index:1}
.video-fixedheight-content {z-index:2; width:100%; position:relative}

.video-fixedheight-content .content-text {top: 150px; font-size: 36px;}

@media (max-width: 767px) { /* Xs */ 
    .video-fixedheight-content .content-text {top: 150px; font-size: 28px;}
}
@media (max-width: 414px) { /* md mobiles iphone 6,8,6+,8+; huawei */
    .video-fixedheight-content .content-text {top: 150px; font-size: 24px;}
}